# Releasing a new version

## Semantic versioning

The features developed in the various versions are listed in the [changelog](../changelog.md) file.

Given a version number MAJOR.MINOR.PATCH, increment:

- the MAJOR version when there are incompatible changes,
- the MINOR version when there are backwards-compatible feature additions,
- the PATCH version when there are backwards-compatible bug fixes.

The version should be updated in `la_chariotte.__init__.py` during releases.
